## IdeDebuggerVariable IdeDebuggerVariable |

## Functions

IdeDebuggerVariable * | ide_debugger_variable_new ()
const gchar * | ide_debugger_variable_get_name ()
const gchar * | ide_debugger_variable_get_type_name ()
void | ide_debugger_variable_set_type_name ()
const gchar * | ide_debugger_variable_get_value ()
void | ide_debugger_variable_set_value ()
gboolean | ide_debugger_variable_get_has_children ()
void | ide_debugger_variable_set_has_children ()

## Properties

gboolean | has-children | Read / Write
gchar * | name | Read / Write / Construct Only
gchar * | type-name | Read / Write
gchar * | value | Read / Write

## Types and Values

#define | IDE_TYPE_DEBUGGER_VARIABLE
struct | IdeDebuggerVariableClass
| IdeDebuggerVariable

## Object Hierarchy

        GObject
        ╰── IdeDebuggerVariable

## Description

## Functions

### ide_debugger_variable_new ()

    IdeDebuggerVariable *
    ide_debugger_variable_new (const gchar *name);

### ide_debugger_variable_get_name ()

    const gchar *
    ide_debugger_variable_get_name (IdeDebuggerVariable *self);

### ide_debugger_variable_get_type_name ()

    const gchar *
    ide_debugger_variable_get_type_name (IdeDebuggerVariable *self);

### ide_debugger_variable_set_type_name ()

    void
    ide_debugger_variable_set_type_name (IdeDebuggerVariable *self,
                                         const gchar *type_name);

### ide_debugger_variable_get_value ()

    const gchar *
    ide_debugger_variable_get_value (IdeDebuggerVariable *self);

### ide_debugger_variable_set_value ()

    void
    ide_debugger_variable_set_value (IdeDebuggerVariable *self,
                                     const gchar *value);

### ide_debugger_variable_get_has_children ()

    gboolean
    ide_debugger_variable_get_has_children
                                   (IdeDebuggerVariable *self);

### ide_debugger_variable_set_has_children ()

    void
    ide_debugger_variable_set_has_children
                                   (IdeDebuggerVariable *self,
                                    gboolean has_children);

## Types and Values

### IDE_TYPE_DEBUGGER_VARIABLE

    #define IDE_TYPE_DEBUGGER_VARIABLE (ide_debugger_variable_get_type())

### struct IdeDebuggerVariableClass

    struct IdeDebuggerVariableClass {
      GObjectClass parent_class;
    };

### IdeDebuggerVariable

    typedef struct _IdeDebuggerVariable IdeDebuggerVariable;

## Property Details

### The `“has-children”` property

      “has-children”             gboolean

If the variable has children variables such as struct members.

Owner: IdeDebuggerVariable

Flags: Read / Write

Default value: FALSE

### The `“name”` property

      “name”                     gchar *

The name of the variable.

Owner: IdeDebuggerVariable

Flags: Read / Write / Construct Only

Default value: NULL

### The `“type-name”` property

      “type-name”                gchar *

The name of the variable's type.

Owner: IdeDebuggerVariable

Flags: Read / Write

Default value: NULL

### The `“value”` property

      “value”                    gchar *

The value of the variable.

Owner: IdeDebuggerVariable

Flags: Read / Write

Default value: NULL